__BITMAP_SHIFT_RIGHT(9)

NAME
__bitmap_shift_right - logical right shift of the bits in a bitmap

SYNOPSIS

void __bitmap_shift_right(unsigned long * dst, const unsigned long * src, int shift, int bits);

ARGUMENTS

dst
    destination bitmap

src
    source bitmap

shift
    shift by this many bits

bits
    bitmap size, in bits

DESCRIPTION

Shifting right (dividing) means moving bits in the MS -> LS bit direction. Zeros are fed into the vacated MS positions and the LS bits shifted off the bottom are lost.

COPYRIGHT